Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.contribution.visualiser.jdtimpl
Class JDTContentProvider

    java.lang.Object
      org.eclipse.contribution.visualiser.jdtimpl.JDTContentProvider

All Implemented Interfaces:
  IContentProvider

public class JDTContentProvider
extends java.lang.Object
implements IContentProvider

Constructor Summary
`JDTContentProvider()` Default constructor

Method Summary
`java.util.List` | `getAllGroups()` Get all groups
`java.util.List` | `getAllJDTGroups(IJavaProject JP)` Get all package fragments for the given Java project
`java.util.List` | `getAllJDTMembers(IPackageFragment PF)` Get all JDT members for the given IPackageFragment (Java package)
`java.util.List` | `getAllMembers()` Get all members
`java.util.List` | `getAllMembers(IGroup group)` Get all members for the given group
`IJavaProject` | `getCurrentProject()` Get the current project, if nobody has set a project yet, use the first open project in the workspace
`java.lang.String` | `getEmptyMessage()` Return message to display when visualiser is empty
`JDTGroup` | `getGroupForFragment(IPackageFragment ipf)` Get a JDTGroup to represent the give IPackageFragment (Java package)
`void` | `initialise()` Initialise
`boolean` | `processMouseclick(IMember member, boolean markupWasClicked, int buttonClicked)` Process a mouse click on a member
`void` | `selectionChanged(IWorkbenchPart iwp, ISelection is)` Keeps the currentResource and currentProject information up to date in this class, as this method is called whenever a user changes their selection in the workspace.
`static void` | `trace(java.lang.String string)` Simple trace routine - we can turn trace on and off by commenting out the body.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDTContentProvider

    public JDTContentProvider()

  Default constructor

Method Detail

### trace

    public static void trace(java.lang.String string)

  Simple trace routine - we can turn trace on and off by commenting out the body.

### selectionChanged

    public void selectionChanged(IWorkbenchPart iwp,
                                 ISelection is)

  Keeps the currentResource and currentProject information up to date in this class, as this method is called whenever a user changes their selection in the workspace.

### getCurrentProject

    public IJavaProject getCurrentProject()

  Get the current project, if nobody has set a project yet, use the first open project in the workspace

### getAllMembers

    public java.util.List getAllMembers(IGroup group)

  Get all members for the given group

  Specified by:
    `getAllMembers` in interface `IContentProvider`
  See Also:
    `IContentProvider.getAllMembers(org.eclipse.contribution.visualiser.interfaces.IGroup)`

### getAllMembers

    public java.util.List getAllMembers()

  Get all members

  Specified by:
    `getAllMembers` in interface `IContentProvider`
  See Also:
    `IContentProvider.getAllMembers()`

### initialise

    public void initialise()

  Initialise

  Specified by:
    `initialise` in interface `IContentProvider`
  See Also:
    `IContentProvider.initialise()`

### processMouseclick

    public boolean processMouseclick(IMember member,
                                     boolean markupWasClicked,
                                     int buttonClicked)

  Process a mouse click on a member

  Specified by:
    `processMouseclick` in interface `IContentProvider`
  See Also:
    `org.eclipse.contribution.visualiser.interfaces.IContentProvider#processMouseclick(java.lang.String, boolean, int)`

### getAllGroups

    public java.util.List getAllGroups()

  Get all groups

  Specified by:
    `getAllGroups` in interface `IContentProvider`

### getGroupForFragment

    public JDTGroup getGroupForFragment(IPackageFragment ipf)

  Get a JDTGroup to represent the give IPackageFragment (Java package)

  Parameters:
    `ipf` -
  Returns:

### getAllJDTGroups

    public java.util.List getAllJDTGroups(IJavaProject JP)

  Get all package fragments for the given Java project

  Parameters:
    `JP` -
  Returns:
    List of JDTGroups

### getAllJDTMembers

    public java.util.List getAllJDTMembers(IPackageFragment PF)

  Get all JDT members for the given IPackageFragment (Java package)

  Parameters:
    `PF` -
  Returns:
    List of JDTMembers

### getEmptyMessage

    public java.lang.String getEmptyMessage()

  Return message to display when visualiser is empty

  Specified by:
    `getEmptyMessage` in interface `IContentProvider`
  Returns:
    the message to display the user when the visualiser is empty
  See Also:
    `IContentProvider.getEmptyMessage()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD